# Class CarPaneTemplate

java.lang.Object
com.codename1.car.CarTemplate
com.codename1.car.CarPaneTemplate

public class CarPaneTemplate extends CarTemplate
A detail pane: a handful of informational `CarRow`s (label / value lines) plus up to two action buttons. Use it for a POI detail card, a "now connected" status, or a confirmation screen. Maps to `androidx.car.app.model.PaneTemplate` and `CPInformationTemplate`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CarPaneTemplate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CarPaneTemplate`
  `addAction(CarAction action)`
  Adds a pane action button (the head unit displays at most two).
  `CarPaneTemplate`
  `addRow(CarRow row)`
  Adds an informational row (its title is the label, its text the value).
  `List<CarAction>`
  `getActions()`
  Returns the pane action buttons, in order.
  `CarActionStrip`
  `getHeaderActions()`
  Returns the header action strip, or null.
  `List<CarRow>`
  `getRows()`
  Returns the informational rows, in order.
  `boolean`
  `isLoading()`
  Returns true when the pane should render a loading spinner instead of content.
  `CarPaneTemplate`
  `setHeaderActions(CarActionStrip headerActions)`
  Sets the header action strip.
  `CarPaneTemplate`
  `setLoading(boolean loading)`
  Marks the template as loading; the head unit renders a spinner.
  `CarPaneTemplate`
  `setTitle(String title)`
  Sets the header title.

  ### Methods inherited from class CarTemplate

  `getTitle`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CarPaneTemplate

    public CarPaneTemplate()

- ## Method Details

  - ### setTitle

    public CarPaneTemplate setTitle(String title)

    Sets the header title.

    ###### Parameters

    - `title`: the header title

    ###### Returns

    this template, for chaining

  - ### addRow

    public CarPaneTemplate addRow(CarRow row)

    Adds an informational row (its title is the label, its text the value).

    ###### Parameters

    - `row`: the row to add

    ###### Returns

    this template, for chaining

  - ### getRows

    public List<CarRow> getRows()
    Returns the informational rows, in order.

  - ### addAction

    public CarPaneTemplate addAction(CarAction action)

    Adds a pane action button (the head unit displays at most two).

    ###### Parameters

    - `action`: the action button to add

    ###### Returns

    this template, for chaining

  - ### getActions

    public List<CarAction> getActions()
    Returns the pane action buttons, in order.

  - ### getHeaderActions

    public CarActionStrip getHeaderActions()
    Returns the header action strip, or null.

  - ### setHeaderActions

    public CarPaneTemplate setHeaderActions(CarActionStrip headerActions)

    Sets the header action strip.

    ###### Parameters

    - `headerActions`: the action strip

    ###### Returns

    this template, for chaining

  - ### isLoading

    public boolean isLoading()
    Returns true when the pane should render a loading spinner instead of content.

  - ### setLoading

    public CarPaneTemplate setLoading(boolean loading)

    Marks the template as loading; the head unit renders a spinner.

    ###### Parameters

    - `loading`: true to show a spinner

    ###### Returns

    this template, for chaining